curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/revenueRecognitionSchedules/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"batch_id": "string",
"business_unit_id": "string",
"contact_id": "string",
"credit_memo_id": "string",
"currency_code": "str",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"customer_type": "string",
"date": "string",
"debit_memo_id": "string",
"deferred_revenue_gl_account_id": "string",
"entries": [
{
"amount": 0.1,
"batch_id": null,
"cogs_batch_id": "string",
"date": "string",
"deferral_batch_id": "string",
"deferred_revenue_gl_account_id": "string",
"entry_id": "string",
"parent_entry_id": "string",
"recognized_in_fiscal_period": 1,
"recognized_in_fiscal_year_id": "string",
"revenue_gl_account_id": "string",
"revenue_split_id": "string",
"status": "error"
}
],
"id": "string",
"invoice_id": "string",
"invoice_line_item_id": "string",
"membership_id": "string",
"notes": "string",
"organization_id": "string",
"parent_schedule_id": "string",
"payment_id": "string",
"payment_line_item_id": "string",
"product_id": "string",
"product_name": "string",
"product_type": "string",
"product_version": 0.1,
"recognized_amount": 0.1,
"refund_id": "string",
"revenue_gl_account_id": "string",
"revenue_splits": [
{
"amount": null,
"percentage": null,
"revenue_gl_account_id": "string",
"revenue_split_id": "string",
"type": "fixed amount"
}
],
"status": "closed",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_business_unit_status": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total": 0.1,
"transaction_id": "string",
"type": "credit memo",
"unrecognized_amount": 0.1,
"write_off_id": "string"
}'